Bug 517590 - Installer shows black screen (64-bit cpu with INTEL GMA X4500HD Driver)
Summary: Installer shows black screen (64-bit cpu with INTEL GMA X4500HD Driver)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 20:34 UTC by Josh N
Modified: 2018-04-11 07:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 08:18:16 UTC


Attachments (Terms of Use)
Xorg log (62.70 KB, text/plain)
2009-08-14 20:42 UTC, Josh N
no flags Details
Xorg log (62.70 KB, text/plain)
2009-08-14 20:43 UTC, Josh N
no flags Details

Description Josh N 2009-08-14 20:34:50 UTC
Description of problem:
(I followed the bug list help here but it didn't solve it: 
https://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_Intel_graphics_adapters)

I have a new Dell XPS one with Integrated Intel® GMA X4500HD Graphics card. The installer program shows a black screen and even after intel driver install I can't get the millions of color depth I would expect.

Version-Release number of selected component (if applicable): Fedora Core 11


How reproducible:
The normal installer from DVD shows a blank screen so I had to install with default driver(vesa). I then followed the install procedures here (http://intellinuxgraphics.org/download.html) to try and get the latest drivers. I compiled and built them, then generated an xorg.conf file with the "Xorg -configure" command after booting with inittab level 3 (so no X server would attempt to start). I was finally able to see the different display modes but my preferences don't change the color depth.


Steps to Reproduce:
1.Attempt to install get blank screen
2.Install with default video driver
3.Get latest intellinuxgraphics drivers and compile and install them
4.Generate new xorg.conf file after booting with inittab level 3
5.Update the xorg.conf with display modes for large 24" screen
6.Reboot......shows only color depth of 16 or less
  
Actual results:
Blank Screen on install. Had to use default driver. Then had to go through long process of finding the drivers and installing them by hand. Still stuck on low color depth.

Expected results:
An installer shouldn't ever get to a blank screen. Default driver setup should allow auto-detection of driver and should give guidance for different driver types. At the very least I should be able to get the standard color depth

Additional info:
(xorg.conf)
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
        ModulePath   "/usr/local/xorg/lib/xorg/modules" (special for drivers)
        ModulePath   "/usr/lib64/xorg/modules"
        FontPath     "catalogue:/etc/X11/fontpath.d"
        FontPath     "built-ins"
EndSection

Section "Module"
        Load  "record"
        Load  "dri2"
        Load  "dri"
        Load  "extmod"
        Load  "glx"
        Load  "dbe"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
EndSection

Section "Device"

        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        #Option     "SWcursor"                  # [<bool>]
        #Option     "ColorKey"                  # <i>
        #Option     "CacheLines"                # <i>
        #Option     "Dac6Bit"                   # [<bool>]
        #Option     "DRI"                       # [<bool>]
        #Option     "NoDDC"                     # [<bool>]
        #Option     "ShowCache"                 # [<bool>]
        #Option     "XvMCSurfaces"              # <i>
        #Option     "PageFlip"                  # [<bool>]
        Identifier  "Card0"
        Driver      "intel"
        VendorName  "Intel Corporation"
        BoardName   "4 Series Chipset Integrated Graphics Controller"
        BusID       "PCI:0:2:0"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Card0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     1
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     4
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     8
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     15
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1280x960" "1024x768" "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Virtual   1280 960
                Depth     24
                Modes    "1280x960" "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Comment 1 Josh N 2009-08-14 20:42:30 UTC
Created attachment 357504 [details]
Xorg log

Comment 2 Josh N 2009-08-14 20:43:26 UTC
Created attachment 357505 [details]
Xorg log

Comment 3 Matěj Cepl 2009-08-14 22:08:20 UTC
Could I ask you to upgrade to the latest packages for Fedora ... question which code is newer whether ours or upstream is not that simple ... Red Hat people are doing a lot of development ourselves so some patches go first to our packages before they are accepted upstream.

Please, uninstall your builds of intel driver, and upgrade first to the latest packages from updates-testing

yum upgrade --enablerepo=updates-testing

and then upgrade these packages to the latest versions for F11:

Xserver http://koji.fedoraproject.org/koji/packageinfo?packageID=63
xorg-x11-drv-intel http://koji.fedoraproject.org/koji/packageinfo?packageID=7794
kernel https://bugzilla.redhat.com/show_bug.cgi?id=8
mesa http://koji.fedoraproject.org/koji/packageinfo?packageID=184

Does it help?

Comment 4 Josh N 2009-08-14 22:18:13 UTC
I actually already did that....enabled all the repos and the updates-testing one as well. I'm on the latest versions for everything, although I don't think I have the repo listing for the xorg-x11-drv-intel packages....

[root@jpc Daemon]# yum install xorg-x11-xdrv-intel
Loaded plugins: refresh-packagekit
Setting up Install Process
No package xorg-x11-xdrv-intel available.
Nothing to do
[root@jpc Daemon]# yum upgrade --enablerepo=updates-testing
Loaded plugins: refresh-packagekit
Setting up Upgrade Process
No Packages marked for Update

Comment 5 Josh N 2009-08-14 22:25:26 UTC
I saw this in another post so I am downloading the latest. I'll update here when done and rebooted

[root@jpc Daemon]# yum --enablerepo=rawhide update kernel\* libdrm xorg-x11-drv-intel
Loaded plugins: refresh-packagekit
rawhide/metalink                                                                                                       |  12 kB     00:00     
rawhide                                                                                                                | 3.7 kB     00:00     
rawhide/primary_db                                                                                                     |  11 MB     00:24     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.31-0.125.4.2.rc5.git2.fc12 set to be installed
---> Package kernel-devel.x86_64 0:2.6.31-0.125.4.2.rc5.git2.fc12 set to be installed
---> Package kernel-firmware.noarch 0:2.6.31-0.125.4.2.rc5.git2.fc12 set to be updated
---> Package kernel-headers.x86_64 0:2.6.31-0.125.4.2.rc5.git2.fc12 set to be updated
---> Package kerneloops.x86_64 0:0.12-6.fc12 set to be updated
--> Processing Dependency: libdrm = 2.4.11-2.fc11 for package: libdrm-devel-2.4.11-2.fc11.x86_64
---> Package libdrm.x86_64 0:2.4.12-0.6.fc12 set to be updated
--> Processing Dependency: xorg-x11-drv-intel = 2.7.0-7.fc11 for package: xorg-x11-drv-intel-devel-2.7.0-7.fc11.x86_64
---> Package xorg-x11-drv-intel.x86_64 0:2.8.0-3.fc12 set to be updated
--> Running transaction check
---> Package libdrm-devel.x86_64 0:2.4.12-0.6.fc12 set to be updated
---> Package xorg-x11-drv-intel-devel.x86_64 0:2.8.0-3.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================
 Package                                  Arch                   Version                                        Repository               Size
==============================================================================================================================================
Installing:
 kernel                                   x86_64                 2.6.31-0.125.4.2.rc5.git2.fc12                 rawhide                  35 M
 kernel-devel                             x86_64                 2.6.31-0.125.4.2.rc5.git2.fc12                 rawhide                 5.1 M
Updating:
 kernel-firmware                          noarch                 2.6.31-0.125.4.2.rc5.git2.fc12                 rawhide                 820 k
 kernel-headers                           x86_64                 2.6.31-0.125.4.2.rc5.git2.fc12                 rawhide                 640 k
 kerneloops                               x86_64                 0.12-6.fc12                                    rawhide                  33 k
 libdrm                                   x86_64                 2.4.12-0.6.fc12                                rawhide                  55 k
 xorg-x11-drv-intel                       x86_64                 2.8.0-3.fc12                                   rawhide                 252 k
Updating for dependencies:
 libdrm-devel                             x86_64                 2.4.12-0.6.fc12                                rawhide                  59 k
 xorg-x11-drv-intel-devel                 x86_64                 2.8.0-3.fc12                                   rawhide                  20 k

Transaction Summary
==============================================================================================================================================
Install      2 Package(s)         
Update       7 Package(s)         
Remove       0 Package(s)         

Total download size: 42 M
Is this ok [y/N]: y

Comment 6 Josh N 2009-08-14 22:37:01 UTC
Well, that didn't work.....took me back to black screen I had to revert. How else should I proceed?

Comment 7 Matěj Cepl 2009-08-14 22:38:05 UTC
> # yum install xorg-x11-xdrv-intel
                         ^^^^
                xorg-x11-drv-intel

also don't forget to upgrade from koji, there are packages in koji which are not available (and won't be available for some time) in updates-testing yet.

Thank you for any response

Comment 8 Josh N 2009-08-14 22:47:38 UTC
[root@jpc ~]# yum install xorg-x11-drv-intel
Loaded plugins: refresh-packagekit
Setting up Install Process
Package matching xorg-x11-drv-intel-2.7.0-7.fc11.x86_64 already installed. Checking for update.
Nothing to do

How do I upgrade from koji? I installed koji but not sure how to upgrade through it.

Comment 9 Josh N 2009-08-14 23:07:19 UTC
Ok, I re-read and realized you meant to download it from koji.

I tried with the rpm-installer and got:
Can't install /tmp/xorg-x11-drv-intel-2.7.0-7.fc11.x86_64.rpm as no transaction

trying the source next

Comment 10 Josh N 2009-08-14 23:59:05 UTC
I downloaded the rpm from koji but wasn't able to install it.....finally I installed the fc12 version but not sure if I did it correctly. Nothing seems to have changed after reboot.

Comment 11 Ricardo Schmidt 2009-08-16 17:31:09 UTC
Same problem here.

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)

Its just a matter of configuration. Maybe next installer should indentify this automatically.
In installation screen go to INSTALL WITH DEFAULT GRAPHICS. Press TAB and edit to xdriver=intel nomodeset

Installer works perfect with configured graphics card in this install starting. Try it yourself ;)

Comment 12 Matěj Cepl 2009-08-17 10:54:58 UTC
(In reply to comment #10)
> I downloaded the rpm from koji but wasn't able to install it.....

just download all *.rpm files to an empty directory, and then run

su -c 'rpm -Uvh *.rpm'

(or if you have still F12 packages installed you have to add --force to the rpm command)

(In reply to comment #10)
> I downloaded the rpm from koji but wasn't able to install it.....finally I
> installed the fc12 version but not sure if I did it correctly. Nothing seems to
> have changed after reboot.  

What do you mean "nothing seems to changed" ... you still have no Xorg after the upgrade?

Also, I think it would be better to upgrade F11 packages (please remove all F12 packages first) as you have to have all related packages (especially kernel) of the right version.

Comment 13 Josh N 2009-08-19 16:46:03 UTC
Ok, after reverting back to the FC11 packages and then upgrading the koji rpm's as recommended I now seem to be getting the splash window and installer the way I should be (after creating an xorg.conf file). I assume the fix here should be the auto-detection of the intel driver as mentioned by Ricardo. 

*Sidenote, I didn't have time to remove the xorg.conf completely and start from scratch but I will check that later as well

Comment 14 Vedran Miletić 2009-09-06 08:18:16 UTC
Closing per comment #13.


Note You need to log in before you can comment on or make changes to this bug.